Page MenuHomePhabricator

switchover oresrdb.svc.eqiad.wmnet from oresrdb1001 to oresrdb1002 and back (after T148506)
Closed, ResolvedPublic

Description

While ORES in eqiad would not be receiving end-user traffic having oresrdb1001 down would lead to some alerts as precaching from changeprop would still take place. While not strictly necessary (we would have no problems), switching over to the slave and documenting the process would be beneficial, so let's do it.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptApr 19 2017, 2:08 PM

Change 349434 had a related patch set uploaded (by Alexandros Kosiaris):
[operations/dns@master] Switch oresrdb.svc.eqiad.wmnet to oresrdb1002

https://gerrit.wikimedia.org/r/349434

Change 349434 merged by Alexandros Kosiaris:
[operations/dns@master] Switch oresrdb.svc.eqiad.wmnet to oresrdb1002

https://gerrit.wikimedia.org/r/349434

akosiaris closed this task as Resolved.Apr 21 2017, 3:15 PM

This was done as well. There is an action item discovered during this which would be to automate this more using confd as is done for the jobqueue redis databases but it is not tied to this task.

Resolving

akosiaris renamed this task from switchover oresrdb.svc.eqiad.wmnet from oresrdb1001 to oresrdb1002 to switchover oresrdb.svc.eqiad.wmnet from oresrdb1001 to oresrdb1002 and back (after T148506).Apr 28 2017, 9:03 AM
akosiaris reopened this task as Open.

And T148506 is done, re-opening and switching back

Change 350807 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/dns@master] Revert "Switch oresrdb.svc.eqiad.wmnet to oresrdb1002"

https://gerrit.wikimedia.org/r/350807

Change 350807 merged by Alexandros Kosiaris:
[operations/dns@master] Revert "Switch oresrdb.svc.eqiad.wmnet to oresrdb1002"

https://gerrit.wikimedia.org/r/350807

akosiaris closed this task as Resolved.Apr 28 2017, 10:43 AM

And switched back, re-resolving. Thanks!